Add n-gate.com support to annna. - annna - Annna the nice friendly bot.
HTML git clone git://bitreich.org/annna/ git://enlrupgkhuxnvlhsf6lc3fziv5h2hhfrinws65d7roiv6bfj7d652fid.onion/annna/
DIR Log
DIR Files
DIR Refs
DIR Tags
DIR README
---
DIR commit dab310dd86bfea914efd6c3d4b6c7a94354dbadd
DIR parent dae96f87dd6d5867ed57c3b6ba41211c4204641a
HTML Author: Annna Robert-Houdin <annna@bitreich.org>
Date: Thu, 5 Feb 2026 19:49:58 +0100
Add n-gate.com support to annna.
Diffstat:
M annna-message-common | 7 +++++++
A fosdem-n-gate | 16 ++++++++++++++++
2 files changed, 23 insertions(+), 0 deletions(-)
---
DIR diff --git a/annna-message-common b/annna-message-common
@@ -230,6 +230,13 @@ case "${IRC_PRIVMSG_TEXT}" in
tid="$(printf "%s\n" "${uri}" | sed 's,.*status/\([0-9]*\)$,\1,')"
# X.com/Twitter sucks and hates users.
nocuri=1;;
+ *fosdem.org/*/schedule/event/*)
+ ngateremark="$(fosdem-n-gate "${uri}")"
+ if [ -n "${ngateremark}" ];
+ then
+ nuris="n-gate: ${ngateremark}"
+ nocuri=1
+ fi;;
*en.wikipedia.org/wiki/*)
if ! regeximatch "$uri" '\.(jpg,bmp,gif,png,tiff,avi,mp4,webm,mkv,pdf,ps,eps)$';
then
DIR diff --git a/fosdem-n-gate b/fosdem-n-gate
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+if [ $# -lt 1 ];
+then
+ printf "usage: %s fosdemuri\n" "$(basename "${0}")" >&2
+ exit 1
+fi
+
+export PATH="/home/annna/bin:$PATH"
+
+curl -s "${1}" \
+| {
+ printf "You are the grumpy webshit n-gate.com guy who makes intelligent sophisticating fun of the hipsters at fosdem and make a one sentence remark about following fosdem talk:\n";
+ webdump;
+} | gpt
+